const inquirer = require('inquirer');

module.exports = {
  askServerQuestions: () => {
    const questions = [
      {
        name: 'appName',
        type: 'input',
        message: 'What name do you want to give your companion?',
        validate: function (value) {
          if (value.length) {
            return true;
          } else {
            return 'Please enter a name.';
          }
        },
      },
      {
        name: 'folderName',
        type: 'input',
        message: 'Where do you want to create your companion (folder) ?',
        validate: function (value) {
          if (value.length) {
            return true;
          } else {
            return 'Please enter a folder name.';
          }
        },
      },
      {
        name: 'internationalization',
        type: 'list',
        message: 'This is the internationalization question?',
        choices: ['English', 'Spanish (Español)', 'Portuguese (Português)'],
        default: 'English',
      },
      {
        name: 'cloudProvider',
        type: 'list',
        message: 'Where will you host your companion?',
        choices: ['AWS', 'GCP', 'Azure'],
        default: 'AWS',
      },
      {
        name: 'credentials',
        type: 'input',
        message: 'What are your credentials for (hosting?)',
        validate: function (value) {
          if (value.length) {
            return true;
          } else {
            return 'Please enter the credentials.';
          }
        },
      },
      // {
      //   name: 'colors',
      //   type: 'checkbox',
      //   message: 'This is the internationalization question?',
      //   choices: [
      //     { name: 'black', value: '#000000' },
      //     { name: 'white', value: '#FFFFFF' },
      //     { name: 'green', value: '#00FF00' },
      //     { name: 'blue', value: '#0000FF' },
      //     { name: 'red', value: '#FF0000' },
      //     { name: 'yellow', value: '#00FFFF' },
      //     { name: 'magenta', value: '#FF00FF' },
      //   ],
      //   default: ['white', 'red', 'magenta'],
      // },
      {
        name: 'openAi',
        type: 'list',
        message: 'Do you want to use OpenAI capabilities like chat?',
        choices: ['yes', 'no'],
        default: 'yes',
      },
    ];
    return inquirer.prompt(questions);
  },
  confirm: () => {
    const questions = [
      {
        name: 'response',
        type: 'list',
        message: 'Do you want to continue?',
        choices: [
          { name: 'yes', value: true },
          { name: 'no', value: false },
        ],
        default: 'yes',
      },
    ];
    return inquirer.prompt(questions);
  },
};
